import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceJahadDeleteHerdService = createAsyncThunk(
  "PROVINCE-JAHAD-DELETE-HERD-SERVICE",
  async (id, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.delete(
        "/LiveStock/union/union-view/0/?key=" + id
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
